Substy Developers
Scripts

Create sales script

Create a sales script for a creator with the supplied metadata and settings. Add sequence messages with create_script_message.

POST/v1/agencies/{agencyId}/creators/{creatorId}/scripts

Create a sales script for a creator with the supplied metadata and settings. Add sequence messages with create_script_message.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creators/string/scripts" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "enabled": true,    "description": null,    "creatorId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "name": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "startTime": null,    "endTime": null,    "position": 0,    "imported": true,    "importedAt": null,    "isCustom": true,    "isAi": true,    "isHuman": true,    "targetFanListIds": [      "string"    ]  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}